#include "EntityStateFlashEffect.h"

void EntityStateFlashEffect::SubStep()
{
	auto we = e.lock();
	if (!we)
		return;
	//ÉÁ¹â
	if (flash_counter > 0)
	{
		flash_counter--;
		we->shader.usingShader = true;
		we->shader.vs = we->shader.ps = L"flash";
	}
	else
	{
		we->shader.usingShader = false;
	}
}
